---
title: Search
slug: Tools/Debugger/How_to/Search
---
<div>{{ToolsSidebar}}</div>

<h2 id="Searching_for_files">Searching for files</h2>

<p>To search for a particular file, press <kbd>Control</kbd> + <kbd>P</kbd> (or <kbd>Command</kbd> + <kbd>P</kbd> on a Mac) and type the search term. The <a href="/en-US/docs/Tools/Debugger/UI_Tour#Source_pane">source pane</a> will display a list of all matching files as you type. You can use the up and down arrows to move through the list, and <kbd>Return</kbd> to open the file you want:</p>

<p>{{EmbedYouTube("xXsfYx0THWg")}}</p>

<h2 id="Searching_within_a_file">Searching within a file</h2>

<p>To search for a particular substring in the file currently loaded into the <a href="/en-US/docs/Tools/Debugger/UI_Tour#Source_pane">source pane</a>, press <kbd>Control</kbd> + <kbd>F</kbd> (or <kbd>Command</kbd> + <kbd>F</kbd> on a Mac) while the source pane is focused. Press <kbd>Return</kbd> to search. The debugger will display the number of matches in the code and highlight each result:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16906/search_code.png" style="border: 1px solid black; display: block; height: 236px; margin: 0px auto; width: 545px;"></p>

<h3 id="Using_the_Outline_tab">Using the Outline tab</h3>

<p>If you are searching for a specific function within the current JavaScript file, you can use the Outline tab in the debugger to find it quickly. The Outline tab lists the functions in the current file. The default sort order is by the order in the file but you can simplify the search by click on "Sort by name" at the bottom of the tab.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16907/outline_sorted.png" style="display: block; margin: 0 auto;"></p>

<p>You can further simplify the search by filtering the list. Enter text into the text input above the list to limit the results in the Outline. For example, if I enter "load" when viewing the above list, I get the following:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16908/outline_filtered.png" style="border: 1px solid black; display: block; margin: 0 auto;"></p>

<p>Only the functions with load in their name are shown.</p>

<p>This feature may not seem terribly useful when searching a file with a handful of functions in it but when you are searching through a file with dozens of functions, it comes in handy.</p>

<h2 id="Searching_in_all_files">Searching in all files</h2>

<p>You can also search for a string in all of the files included in the currently opened project. Press <kbd>Shift</kbd> + <kbd>Ctrl</kbd> + <kbd>F</kbd> (Windows and Linux) or <kbd>Shift</kbd> + <kbd>Cmd</kbd> + <kbd>F</kbd> (macOS) and then enter the string you are trying to find.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16790/searchInAllFiles.png" style="border: 1px solid black; display: block; margin: 0 auto; width: 800px;"></p>

<p>If the string exists in any of the files in the project, the search will return a list showing a list by file and line number.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16789/ctrlShiftF.png" style="border: 1px solid black; display: block; height: 342px; margin: 0px auto; width: 800px;"></p>

<p>Click on any entry in the list to go directly to the line in the file where the string occurs.</p>
